/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/select-step.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/select-step.xml',
'<View submitLabel="{message.XXAS_PERF_REVIEW_REOPEN}" title="Select Step" defaultFormHandler="xxas_perf_review_pkg.handle_move_to_step">
   <EditFields>
     <Hidden id="PERF_REVIEW_FORM_ID"/>
     <TextInput enabled="false" id="REVIEW_NAME" label="Review"/>
     <Poplist id="PERF_REVIEW_STEP_ID" label="{message.XXAS_PERF_REVIEW_STEP}" listProvider="REST:perf-steps/${field.PERF_REVIEW_FORM_ID}" visible="true" required="true"/>
  </EditFields>
</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/select-step.xml');
END;
/
COMMIT;
EXIT;
